Home > Cannot Load > Cannot Load Such File Readline 1.9.3

Cannot Load Such File Readline 1.9.3

indirect closed this Dec 5, 2012 This was referenced Mar 6, 2013 Closed "no such file to load" when running `wally server` BBC-News/wally#9 Closed Making a connection to Rally with Ruby Rebuild ruby with the readline packages (incl. We recommend upgrading to the latest Safari, Google Chrome, or Firefox. And different developers could end up with version mismatches. have a peek at this web-site

mona is not in the sudoers file. However, as soon as I ran any knife ssh command, I got this: $ knife ssh "role:experimental" "uptime" /home/arthur/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- readline (LoadError) from /home/arthur/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require' from Perhaps notable: when I comment out the Bundler line "require 'rubygems/format', that does help some. Any ideas what the issue might be? -- Arthur Kalmenson On Fri, Mar 2, 2012 at 5:38 PM, AJ Christensen wrote: When you built Ruby you didn't have the readline http://stackoverflow.com/questions/9340497/cannot-load-such-file-readline-loaderror-when-running-heroku-create-stack

Google doesn't really give me much here, so I'm wondering if any has seen this before. more hot questions question feed lang-rb about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Resources: Readline LoadError Solution GNU Readline -- [1] If you don't know where or what kind of installation you have type cd / into your command line and then find . First you need to install libreadline5 and libncurses5.

Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc. February, 2012 at 8:51 am After I typed ‘make' command it answered: make: Nothing to be done for `all'. How can I declare independence from the United States and start my own micro nation? Any ideas what the issue might be?

Rebuild ruby with the readline packages (incl. HuckyDucky commented Jul 9, 2014 Do I need to do that in the shell, or using the passenger_set_cgi_param calls? Please see the Bundler troubleshooting documentation at http://bit.ly/bundler-issues. member FooBarWidget commented Jul 8, 2014 So does setting GEM_HOME and GEM_PATH to /Users/me/.rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1 work?

Phusion B.V. Converting the weight of a potato into a letter grade The OK or FAIL column "Carrie has arrived at the airport for two hours." - Is this sentence grammatically correct? Browse other questions tagged ruby-on-rails ruby ruby-on-rails-3 heroku or ask your own question. asked 3 years ago viewed 4070 times active 3 years ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Related 1Cannot load Ruby EventMachine in Rails console - no such

I'm using knife on an Ubuntu machine, so I'm not sure where the readline package is. I got it working by setting GEM_HOME and GEM_PATH with passenger_env_var. path } unless spec then found_specs = Gem::Specification.find_in_unresolved path unless found_specs.empty? How safe is 48V DC?

If it works, then it's just a workaround, but I'd like to understand why it fails for you in the first place so that I can update Passenger accordingly. Check This Out C++ - why is (a % 256) different than (a & 0xFF)? Phusion B.V. However, as soon as I ran any knife ssh command, I got this: $ knife ssh "role:experimental" "uptime" /home/arthur/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- readline (LoadError) from /home/arthur/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require' from

mcelio commented Feb 15, 2016 Hi getleman! Try: sudo apt-get install libncurses5-dev libreadline5-dev Found it on this blog. I have the same problem running Ruby platform on Windows. Source Not the answer you're looking for?

Operator ASCII art Why do the cars die after removing jumper cables Why are angular frequencies used when studying crystal vibrations, over normal frequencies? Thank you for the detailed explanation, and for the extra links. Should I create multiple maintenance plans to backup more than 200 User databases How to make my logo color look the same in Web & Print?

I've installed chef on my workstation with RVM, so perhaps I'm missing the readline header because of that?

HuckyDucky commented Jul 8, 2014 First of all, thank you very, very kindly for your help Hongli. I have no idea how to tell rbenv where, or when, to find the gems for the projects I want to use Passenger for. asked 4 years ago viewed 8858 times active 4 years ago Related 1Readline not compiled by default - Causing `require': no such file to load — readline6“no such file to load skutondo commented Oct 26, 2015 Yes, Andre this was indeed resolved thank you so much.

gem env ruby -rbundler -e 'puts $LOAD_PATH' HuckyDucky commented Jul 8, 2014 gem env RubyGems Environment: - RUBYGEMS VERSION: 2.3.0 - RUBY VERSION: 1.9.3 (2014-05-14 patchlevel 547) [x86_64-darwin13.2.0] - INSTALLATION DIRECTORY: member FooBarWidget commented Jul 7, 2014 Let's start from the beginning. Thanks! /home/vivek/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- openssl (LoadError) from /home/vivek/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require' from /home/vivek/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/https.rb:22:in `' from /home/vivek/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require' from /home/vivek/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require' from /home/vivek/.rvm/gems/[email protected]/gems/bundler-1.1.3/lib/bundler/vendor/net/http/persistent.rb:447:in `ssl' from /home/vivek/.rvm/gems/[email protected]/gems/bundler-1.1.3/lib/bundler/vendor/net/http/persistent.rb:216:in `connection_for' from /home/vivek/.rvm/gems/[email protected]/gems/bundler-1.1.3/lib/bundler/vendor/net/http/persistent.rb:358:in have a peek here February, 2012 at 9:10 am @megas you can force make to recompile (it's telling you that your current binary is current) by typing ‘make -B' Reply megas says: 27.

Reply Leave a Reply Cancel reply Enter your comment here... Why did Michael Corleone not forgive his brother Fredo? On Jul 8, 2014, at 1:23 PM, Hongli Lai wrote: echo $RUBYOPT echo $RUBYLIB Phusion B.V. On Fri, Mar 2, 2012 at 5:38 PM, AJ Christensen wrote: When you built Ruby you didn't have the readline headers installed, so it didn't link against them.

cannot load such file -- pry (LoadError) /Library/Ruby/Site/2.0.0/rubygems/core_ext/kernel_require.rb:128:in require'
/Library/Ruby/Site/2.0.0/rubygems/core_ext/kernel_require.rb:128:inrescue in require' /Library/Ruby/Site/2.0.0/rubygems/core_ext/kernel_require.rb:39:in require'
/Users/jyotsna/Projects/AIB/piccolo/calabash-features/features/step_definitions/app-settings_steps.rb:1:in' /Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/rb_support/rb_language.rb:95:in load'
/Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/rb_support/rb_language.rb:95:inload_code_file' /Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/runtime/support_code.rb:180:in load_file'
/Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/runtime/support_code.rb:83:inblock in load_files!' /Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/runtime/support_code.rb:82:in each'
/Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/runtime/support_code.rb:82:inload_files!' /Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/runtime.rb:184:in load_step_definitions'
/Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/runtime.rb:42:inrun!' /Library/Ruby/Gems/2.0.0/gems/cucumber-1.3.20/lib/cucumber/cli/main.rb:47:in execute!'
You signed in with another tab or window. Ans: No, that's not the problem.